<script setup lang="ts">
import { ref } from 'vue'
import ProductList from '../components/ProductList.vue'
import type { Product } from '@/types/Product'
const snackbar = ref(false)
const product = ref<Product>()
function selected(p: Product) {
  product.value = p
  snackbar.value = true
}
const products1 = [
  { id: 1, name: 'ลาเต้ ร้อน', price: 35.0, type: 1 },
  { id: 2, name: 'ลาเต้ ร้อน', price: 35.0, type: 1 },
  { id: 3, name: 'ลาเต้ ร้อน', price: 35.0, type: 1 },
  { id: 4, name: 'ลาเต้ ร้อน', price: 35.0, type: 1 },
  { id: 5, name: 'ลาเต้ ร้อน', price: 35.0, type: 1 },
  { id: 6, name: 'ลาเต้ ร้อน', price: 35.0, type: 1 },
  { id: 7, name: 'ลาเต้ ร้อน', price: 35.0, type: 1 },
  { id: 8, name: 'ลาเต้ ร้อน', price: 35.0, type: 1 },
  { id: 9, name: 'ลาเต้ ร้อน', price: 35.0, type: 1 }
]
const products2 = [
  { id: 1, name: 'ลาเต้ ร้อน', price: 35.0, type: 1 },
  { id: 2, name: 'ลาเต้ ร้อน', price: 35.0, type: 1 },
  { id: 3, name: 'ลาเต้ ร้อน', price: 35.0, type: 1 },
  { id: 4, name: 'ลาเต้ ร้อน', price: 35.0, type: 1 },
  { id: 5, name: 'ลาเต้ ร้อน', price: 35.0, type: 1 }
]
const products3 = [
  { id: 1, name: 'ลาเต้ ร้อน', price: 35.0, type: 1 },
  { id: 2, name: 'ลาเต้ ร้อน', price: 35.0, type: 1 },
  { id: 3, name: 'ลาเต้ ร้อน', price: 35.0, type: 1 }
]
const tab = ref(null)
</script>

<template>
  <v-card max-width="800">
    <v-tabs
      v-model="tab"
      color="blue-darken-4"
      align-tabs="center"
      style="background-color: rgb(209, 143, 233)"
    >
      <v-tab :value="1">Landscape</v-tab>
      <v-tab :value="2">City</v-tab>
      <v-tab :value="3">Abstract</v-tab>
    </v-tabs>
    <v-window v-model="tab">
      <v-window-item :value="1" style="background-color: rgb(232, 140, 225)">
        <ProductList :products="products1" @selected="selected"></ProductList>
      </v-window-item>
      <v-window-item :value="2" style="background-color: rgb(232, 140, 225)">
        <ProductList :products="products2" @selected="selected"></ProductList>
      </v-window-item>
      <v-window-item :value="3" style="background-color: rgb(232, 140, 225)">
        <ProductList :products="products3" @selected="selected"></ProductList>
      </v-window-item>
    </v-window>
  </v-card>

  <v-snackbar v-model="snackbar">
    {{ product }}

    <template v-slot:actions>
      <v-btn color="pink" variant="text" @click="snackbar = false"> Close </v-btn>
    </template>
  </v-snackbar>
</template>
